--[[
	ZDF Nachrichten-App
	Copyright (C) 2016, bazi98

	License: GPL

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public
	License along with this program; if not, write to the
	Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
	Boston, MA  02110-1301, USA.
]]

local json = require "json"
heute=(os.date ("%d.%m.%Y"))
heute2=(os.date ("%y%m%d"))
gestern = os.date("%d.%m.%Y", os.time() - 3600*24)
gestern2 = os.date("%y%m%d", os.time() - 3600*24)

wochentag = (os.date ("%A"))

--Objekte
function script_path()
	local str = debug.getinfo(2, "S").source:sub(2)
	return str:match("(.*/)")
end

function init()
	n = neutrino();
	p = {}
	func = {}
	pmid = 0
	stream = 1
end

function add_stream(t,u)
  p[#p+1]={title=t,url=u,access=stream}
end

function fill_playlist()
if (os.date("%A") == "Monday") then
   add_stream("WISO-Sendung vom " .. heute .. " ","http://nrodl.zdf.de/none/zdf/16/05/" .. heute2 .. "_sendung_wis_1456k_p13v12.mp4")
end
if (os.date("%A") == "Tuesday") then
   add_stream("WISO-Sendung vom " .. gestern .. " ","http://nrodl.zdf.de/none/zdf/16/05/" .. gestern2 .. "_sendung_wis_1456k_p13v12.mp4")
end
if (os.date("%A") == "Wednesday") then
   add_stream("auslandsjournal vom " .. heute .. " ","http://nrodl.zdf.de/none/zdf/16/05/" .. heute2 .. "_sendung_ajo_1456k_p13v12.mp4")
end
if ( ".. wochentag .. " == "Thrusday") then
---if (os.date("%A") == "Thrusday") then
   add_stream("auslandsjournal vom " .. gestern .. " ","http://nrodl.zdf.de/none/zdf/16/05/" .. gestern2 .. "_sendung_ajo_1456k_p13v12.mp4")
end
   add_stream("heute-Sendung vom " .. heute .. " -12.00 Uhr","http://nrodl.zdf.de/none/zdf/16/05/" .. heute2 .. "_h12_1456k_p13v12.mp4")
   add_stream("heute-Sendung vom " .. heute .. " -14.00 Uhr","http://nrodl.zdf.de/none/zdf/16/05/" .. heute2 .. "_sendung_hid_1456k_p13v12.mp4")
   add_stream("heute in Europa vom " .. heute .. " -16.00 Uhr","http://nrodl.zdf.de/none/zdf/16/05/" .. heute2 .. "_sendung_hie_1456k_p13v12.mp4")
   add_stream("heute-Sendung vom " .. heute .. "-17.00 Uhr","http://nrodl.zdf.de/none/zdf/16/05/" .. heute2 .. "_h17_1456k_p13v12.mp4")
   add_stream("heute-Sendung vom " .. heute .. "-19:00 Uhr","http://nrodl.zdf.de/none/zdf/16/05/" .. heute2 .. "_h19_1456k_p13v12.mp4")
   add_stream("heute journal vom " .. heute .. "-21:45 Uhr","http://nrodl.zdf.de/none/zdf/16/05/" .. heute2 .. "_hjo_1456k_p13v12.mp4")
   add_stream("heute-Sendung vom " .. gestern .. " -12.00 Uhr","http://nrodl.zdf.de/none/zdf/16/05/" .. gestern2 .. "_h12_1456k_p13v12.mp4")
   add_stream("heute Sendung vom " .. gestern .. " -14.00 Uhr","http://nrodl.zdf.de/none/zdf/16/05/" .. gestern2 .. "_sendung_hid_1456k_p13v12.mp4")
   add_stream("heute in Europa vom " .. gestern .. " -16.00 Uhr","http://nrodl.zdf.de/none/zdf/16/05/" .. gestern2 .. "_sendung_hie_1456k_p13v12.mp4")
   add_stream("heute-Sendung vom " .. gestern .. " -17.00 Uhr","http://nrodl.zdf.de/none/zdf/16/05/" .. gestern2 .. "_h17_1456k_p13v12.mp4")
   add_stream("heute Sendung vom " .. gestern .. " -19:00 Uhr","http://nrodl.zdf.de/none/zdf/16/05/" .. gestern2 .. "_h19_1456k_p13v12.mp4")
   add_stream("heute journal vom " .. gestern .. " -21:45 Uhr","http://nrodl.zdf.de/none/zdf/16/05/" .. gestern2 .. "_hjo_1456k_p13v12.mp4")
end

function set_pmid(id)
  pmid=tonumber(id);
  return MENU_RETURN["EXIT_ALL"];
end


function select_playitem()
  zdfpodcast_png = script_path() .. "zdf_news.png"
  local m=menu.new{name="", icon="zdf_heute"}

  for i,r in  ipairs(p) do
    m:addItem{type="forwarder", action="set_pmid", id=i, icon="streaming", name=r.title, hint=r.title, hint_icon="hint_reload"}
  end  
  repeat
    pmid=0
    m:exec()
    if pmid==0 then
      return
    end  

    local vPlay = nil 
    local url=func[p[pmid].access](p[pmid].url)
    if url~=nil then
      if  vPlay  ==  nil  then
	vPlay  =  video.new()
      end
	vPlay:PlayFile(p[pmid].title,url);
    end
  until false
end

--Main
init()
func={
  [stream]=function (x) return x end,
}
fill_playlist()
select_playitem()
